Proyeccion de viguetas

Ver el tema anterior Ver el tema siguiente Ir abajo

Proyeccion de viguetas

Mensaje por jorgluis28 el Miér Dic 14, 2016 5:54 am

Hola chicos como estan todos, vengo siguiendo sus pasos desde Hispacad. Espero todos se encuentren bien. Aprovecho la ocasión para hacerles una consulta, no se si es posible hacer en lisp el dibujo de lineas aproyectadas equidistantes dado solo dos puntos.

Les adjunto el dwg para su revisión, me encantaria que por favor si hubiese una forma me dieran una idea como podría resolver este problema desde ya se agradece la atención prestada


jorgluis28

Mensajes : 2
Fecha de inscripción : 18/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Proyeccion de viguetas

Mensaje por saulo2016 el Miér Dic 14, 2016 7:36 pm

Hola jorgluis28

Mi pregunta seria la siguiente....

¿No te sirve solo crear un BLOCK???.......

Ahora bien......si necesitas que el P2 de acuerdo al P1 tenga una distancia variable y que las lineas proyectadas se sigan copiando a la misma distancia de acuerdo a la ubicacion del P2....¿¿¿no te serviria solo hacer un Bloque Dinamico???


Saludos amigo
avatar
saulo2016

Mensajes : 99
Fecha de inscripción : 17/03/2016
Edad : 51
Localización : Monterrey, Nuevo León, Mexico

Ver perfil de usuario

Volver arriba Ir abajo

Re: Proyeccion de viguetas

Mensaje por Carlos_SM el Vie Dic 16, 2016 5:17 am

jorgluis28 escribió:Hola chicos como estan todos, vengo siguiendo sus pasos desde Hispacad. Espero todos se encuentren bien. Aprovecho la ocasión para hacerles una consulta, no se si es posible hacer en lisp el dibujo de lineas aproyectadas equidistantes dado solo dos puntos.

Les adjunto el dwg para su revisión, me encantaria que por favor si hubiese una forma me dieran una idea como podría resolver este problema desde ya se agradece la atención prestada


Creo que si es posible dando solo 2 puntos. Tienes que tener presente que el primer punto es el del lado izquierdo y al orientarte considerando el segundo punto como el lado derecho, el dibujo de las viguetas sería en lado superior.
Otra cosa: probablemente tengas que crear una capa para alojar los dibujos de las proyecciones.

el lisp parece ser simple, ya que no presentas ninguno te ayudo con un inicio:
Código:

(defun C:PrViguetas ()
 (setq p1 (getpoint "Primer Punto")
         p2 (getpoint "Segundo Punto")
         ang (angle p1 p2)
         Dt (distance p1 p2)
         da 0.30 )
 (while (< da Dt)
    ............. [ aqui van las operaciones de dibujo]
  )
)

Carlos_SM

Mensajes : 3
Fecha de inscripción : 04/04/2016
Localización : Lima - Peru

Ver perfil de usuario

Volver arriba Ir abajo

Re: Proyeccion de viguetas

Mensaje por jademar el Dom Dic 18, 2016 3:01 am

Hola a tod@s

Me parece que la respuesta de Kent1Cooper te hace gran parte del trabajo con su DIVIDE_AND_MEASURE_PLUS.lsp
Fíjate en
http://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/divide-spaces-with-max-gap-draw-lines-btw-2-points/td-p/3319539
Resultados

Saludos

jademar

Mensajes : 12
Fecha de inscripción : 03/04/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Proyeccion de viguetas

Mensaje por nolo el Lun Dic 19, 2016 5:11 pm

Hola, aunque la rutina es sencilla, me parece que estáis sobre valorando los conocimientos del amigo JorgLuis.
Si entendiera un mínimo, no hubiera subido una imagen si no un dwg para que los voluntarios, acertáramos con cosas como la escala y tipo de línea, capa etc
En fin, aprovechado que DevitG esta de vacaciones y gracias a eso JorgLuis no se lleva una bronca, a ver si acertamos
Código:
(defun C:PrV ( / p1 p2 ang dt da dd l d)
(setvar 'ltscale 0.1)
(setq p1 (getpoint "Primer Punto")
 p2 (getpoint p1 "Segundo Punto")
 ang (angle p1 p2)
 Dt (distance p1 p2)
 da 0.30 ;;; luz entre viguetas
 dd 0.1 ;;; ancho viguetas
 l 0.5 ;; largo dibujo líneas
 d 0. ;;; distancia acumulada a p1
)
 (while (< d (- Dt da))
 (foreach a (list da dd)
 (setq d (+ d a))
     (entmake (list '(0 . "LINE")
 (cons 8 (getvar 'clayer)) ;; capa
 '(62 . 1) ;; color
 '(6 . "JIS_02_1.0") ;;; tipo de línea
 ;; extremos líneas
 (cons 10 (setq p(polar p1 ang d)))
 (cons 11 (polar p (+ ang (/ pi 2)) l))
 ))
 )
  )
(princ)
)

Un saludo

nolo

Mensajes : 100
Fecha de inscripción : 17/03/2016

Ver perfil de usuario

Volver arriba Ir abajo

Re: Proyeccion de viguetas

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba

- Temas similares

 
Permisos de este foro:
No puedes responder a temas en este foro.